/*
** Module   : MainEntry.java
** Abstract : main server application entry point interface
**
** Copyright (c) 2006-2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- --JPRM-- ----------------------------Description------------------------------
** 001 NVS 20061017   @30458 Created the initial version.
** 002 CA  20131004          Expose client-side parameter to server-side application code.
** 003 MAG 20140128          Add uuid parameter and change the return type from boolean to Result.
** 004 MAG 20140131          Revert changes at 003 (2014-01-28).
*/

package com.goldencode.p2j.main;

/**
 * Defines the interface used to invoke an application remotely.
 */
public interface MainEntry
{
   /**
    * Defines the only method which serves as the main remote entry point.
    * 
    * @param   params
    *          A container with any client-related parameters.
    *           
    */
   public boolean standardEntry(ClientParameters params);
}
